Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.evidence
Class EvidenceTransferProtocolImpl.MessageInfo

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.evidence.EvidenceTransferProtocolImpl.MessageInfo

Enclosing class:
  EvidenceTransferProtocolImpl<Handle extends RawSerializable,Identifier extends RawSerializable>

    public class EvidenceTransferProtocolImpl.MessageInfo

extends java.lang.Object

When we have a message for a node whose witness set is not (yet) known, it is queued in here

Field Summary
`MessageCallback<Handle,java.nio.ByteBuffer>` | `deliverAckToMe`
`PeerReviewMessage` | `message`
`java.util.Map<java.lang.String,java.lang.Object>` | `options`
`Identifier` | `subject`

Constructor Summary
`EvidenceTransferProtocolImpl.MessageInfo(Identifier subject, PeerReviewMessage message, MessageCallback<Handle,java.nio.ByteBuffer> deliverAckToMe, java.util.Map<java.lang.String,java.lang.Object> options)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subject

    public Identifier extends RawSerializable subject

### message

    public PeerReviewMessage message

### deliverAckToMe

    public MessageCallback<Handle extends RawSerializable,java.nio.ByteBuffer> deliverAckToMe

### options

    public java.util.Map<java.lang.String,java.lang.Object> options

Constructor Detail

### EvidenceTransferProtocolImpl.MessageInfo

    public EvidenceTransferProtocolImpl.MessageInfo(Identifier subject,
                                                    PeerReviewMessage message,
                                                    MessageCallback<Handle,java.nio.ByteBuffer> deliverAckToMe,
                                                    java.util.Map<java.lang.String,java.lang.Object> options)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.